# Base install directories for standard Ruby libraries
%ruby21_libdir_parent       %{_datadir}/ruby
%ruby21_libarchdir_parent   %{_libdir}/ruby
%ruby21_libdir              %{ruby21_libdir_parent}/2.1
%ruby21_libarchdir          %{ruby21_libarchdir_parent}/2.1

%ruby21_hdrdir              %{_includedir}/ruby/2.1

# Local lib/arch for user installed libraries. Nothing should be
# installed here by the vendor
%ruby21_sitelibdir_parent   %{_prefix}/local/share/ruby/site_ruby
%ruby21_sitelibdir          %{ruby21_sitelibdir_parent}/2.1
%ruby21_sitearchdir         %{_prefix}/local/%{_lib}/ruby/site_ruby/2.1
%ruby21_sitehdrdir          %{_prefix}/local/include/ruby/2.1

# Vendor lib/arch for vendor installed libraries. Nothing should be
# installed here by the user
%ruby21_vendorlibdir_parent %{_datadir}/ruby/vendor_ruby
%ruby21_vendorlibdir        %{ruby21_vendorlibdir_parent}/2.1
%ruby21_vendorarchdir       %{_libdir}/ruby/vendor_ruby/2.1
%ruby21_vendorhdrdir        %{ruby21_hdrdir}

# For ruby packages we want to filter out any provides caused by private
# libs in %%{ruby21_vendorarchdir}/%%{ruby21_sitearchdir}.
#
# Note that this must be invoked in the spec file, preferably as
# "%{?ruby21_default_filter}", before any %description block.
%ruby21_default_filter %{expand: \
%global __provides_exclude_from %{?__provides_exclude_from:%{__provides_exclude_from}|}^(%{ruby21_vendorarchdir}|%{ruby21_sitearchdir})/.*\\\\.so$ \
}
